Subject: nncpmail

From: John Goerzen <[email-masked]>
Date: Wed, 12 Jan 2022 15:24:27 -0700

Hi,

I stumbled across this interesting piece of software:

https://github.com/neilalexander/yggmail

This is for the Yggdrasil network I just wrote about.  It's a single Go
binary that wraps up a Yggdrasil node, SMTP server (for exchanging mail)
and IMAP server (for reading it).  It uses address of the form
publickey@yggmail.

It occurs to me we could do something similar with NNCP.  Of course,
being an asynchronous network, we can't just automatically discover
routes to every possible peer, but peering with a public relay could do
the trick there.  Then we would just need to define the conventions
around transport (eg, a "nncpmail" command that takes BSMTP on stdin or
something).

I don't have time to work on this myself, but I thought it a quite
interesting idea.

There is also an Android port:

https://github.com/deltachat/AndroidYggmail

- John